Subject: Re: [RPSEC] RP Requirements Doc Comments...

From: Vassilis Prevelakis <[email-masked]>
Date: Mon, 22 Sep 2003 17:19:10 -0400 (EDT)

> > > 2.1 What MUST / SHOULD be protected ?
> > >
> > >    Distribution of destination reachability information with the
> > >    required policy considerations (QoS, trusted route, etc.) is what
> > >    is expected from a routing protocol.
> > >
> > > Possibly replace with:
> > >
> > > Routing protocols act as distributed databases with very quick
> > > synchornzation times.
> >
> > Is that always true?  Is RIP a distributed database?  I don't get that
> > RIP routers' view must be synchronized to work.  Which is not to say they
> > can just disagree w/o care and still have things work right.
> 
> Yes, even though the databases might not synch, a routing protocol is still
> a distributed database, essentially.

This discussion is getting more and more surealistic.

The question "Is RIP a distributed database?" is like asking whether
English is a human being. 

I also think that everybody should first agree what a "distributed
database" is before we start arguing whether RIP is or isn't one.
(for that reason alone the statement about routing protocols and
distributed databases is unsuitable for inclusion in an RFC).

Finally the fundamental differences between link-state and vector distance
protocols make it very difficult to generalize.

So I think that the original phrasing is OK and should be left alone.

**vp

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

---

From: Tony Tauber <[email-masked]>
Date: Mon, 22 Sep 2003 22:19:13 -0400 (EDT)

Vassilis,

Thanks for draining the surrealism.  I hadn't meant to remove sense
from the discussion.  Instead, I wanted to consider whether
modeling RPs as databases, distributed, synchronized or otherwise was
accurate or useful.  I'm quite agnostic on the topic but wanted to
plumb the depths somewhat.  I'm happy to leave the original wording.

Tony

On Mon, 22 Sep 2003, Vassilis Prevelakis wrote:

> > > >    Distribution of destination reachability information with
> > > >    the required policy considerations (QoS, trusted route,
> > > >    etc.) is what is expected from a routing protocol.
> > > >
> > > > Possibly replace with:
> > > >
> > > Is that always true?  Is RIP a distributed database?  I don't
> > > get that RIP routers' view must be synchronized to work.  Which
> > > is not to say they can just disagree w/o care and still have
> > > things work right.
> >
> > Yes, even though the databases might not synch, a routing protocol
> > is still a distributed database, essentially.
>